PHY_MII_IOCTL(9)

NAME
phy_mii_ioctl - generic PHY MII ioctl interface

SYNOPSIS

int phy_mii_ioctl(struct phy_device * phydev, struct ifreq * ifr, int cmd);

ARGUMENTS

phydev
    the phy_device struct

ifr
    struct ifreq for socket ioctl's

cmd
    ioctl cmd to execute

DESCRIPTION

Note that this function is currently incompatible with the PHYCONTROL layer. It changes registers without regard to current state. Use at own risk.

COPYRIGHT